Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class RepositoryConfiguration.Default

    java.lang.Object
      org.modeshape.jcr.RepositoryConfiguration.Default

Enclosing class:
  RepositoryConfiguration

    public static class RepositoryConfiguration.Default

extends Object

Field Summary
`static boolean` | `ALLOW_CREATION` The default value of the `RepositoryConfiguration.FieldName.ALLOW_CREATION` field is 'true '.
`static Set<String>` | `ANONYMOUS_ROLES` The default value of the `RepositoryConfiguration.FieldName.ANONYMOUS_ROLES` field is a list with 'admin' as the role.
`static String` | `ANONYMOUS_USERNAME`
`static String` | `CACHE_TRANSACTION_MANAGER_LOOKUP` The default value of the `RepositoryConfiguration.FieldName.CACHE_TRANSACTION_MANAGER_LOOKUP` field is "org.infinispan.transaction.lookup.GenericTransactionManagerLookup".
`static String` | `CHANNEL_PROVIDER`
`static String` | `CLUSTER_NAME`
`static String` | `DEFAULT` The default value of the `RepositoryConfiguration.FieldName.DEFAULT` field is '"default" '.
`static String` | `INDEX_STORAGE_COPY_BUFFER_SIZE_IN_MEGABYTES`
`static RepositoryConfiguration.FileSystemAccessType` | `INDEX_STORAGE_FILE_SYSTEM_ACCESS_TYPE`
`static String` | `INDEX_STORAGE_INFINISPAN_CHUNK_SIZE_IN_BYTES`
`static RepositoryConfiguration.FileSystemLockingStrategy` | `INDEX_STORAGE_LOCKING_STRATEGY`
`static String` | `INDEX_STORAGE_REFRESH_IN_SECONDS`
`static String` | `INDEX_STORAGE_RETRY_INITIALIZE_PERIOD_IN_SECONDS`
`static String` | `INDEX_STORAGE_RETRY_MARKER_LOOKUP`
`static String` | `INDEXING_ANALYZER`
`static String` | `INDEXING_ASYNC_MAX_QUEUE_SIZE`
`static String` | `INDEXING_ASYNC_THREAD_POOL_SIZE`
`static String` | `INDEXING_BACKEND_TYPE`
`static String` | `INDEXING_BATCH_SIZE`
`static String` | `INDEXING_INDEX_FORMAT`
`static RepositoryConfiguration.IndexingMode` | `INDEXING_MODE`
`static RepositoryConfiguration.IndexReaderStrategy` | `INDEXING_READER_STRATEGY`
`static String` | `INDEXING_SIMILARITY`
`static String` | `JAAS_POLICY_NAME` The default value of the `RepositoryConfiguration.FieldName.JAAS_POLICY_NAME` field is '"modeshape-jcr" '.
`static long` | `MINIMUM_BINARY_SIZE_IN_BYTES` The default value of the `RepositoryConfiguration.FieldName.MINIMUM_BINARY_SIZE_IN_BYTES` field is '4096L ' (4 kilobytes).
`static boolean` | `MONITORING_ENABLED`
`static boolean` | `QUERY_ENABLED`
`static boolean` | `REMOVE_DERIVED_CONTENT_WITH_ORIGINAL`
`static String` | `THREAD_POOL` The default value of the `RepositoryConfiguration.FieldName.THREAD_POOL` field is '"modeshape-workers" '.
`static RepositoryConfiguration.TransactionMode` | `TRANSACTION_MODE` The default value of the `RepositoryConfiguration.FieldName.TRANSACTION_MODE` field is ' '.
`static boolean` | `USE_ANONYMOUS_ON_FAILED_LOGINS` The default value of the `RepositoryConfiguration.FieldName.USE_ANONYMOUS_ON_FAILED_LOGINS` field is 'false '.

Constructor Summary
`RepositoryConfiguration.Default()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MINIMUM_BINARY_SIZE_IN_BYTES

    public static final long MINIMUM_BINARY_SIZE_IN_BYTES

  The default value of the `RepositoryConfiguration.FieldName.MINIMUM_BINARY_SIZE_IN_BYTES` field is '4096L ' (4 kilobytes).

  See Also:
    Constant Field Values

### ALLOW_CREATION

    public static final boolean ALLOW_CREATION

  The default value of the `RepositoryConfiguration.FieldName.ALLOW_CREATION` field is 'true '.

  See Also:
    Constant Field Values

### DEFAULT

    public static final String DEFAULT

  The default value of the `RepositoryConfiguration.FieldName.DEFAULT` field is '"default" '.

  See Also:
    Constant Field Values

### TRANSACTION_MODE

    public static final RepositoryConfiguration.TransactionMode TRANSACTION_MODE

  The default value of the `RepositoryConfiguration.FieldName.TRANSACTION_MODE` field is ' '.

### CACHE_TRANSACTION_MANAGER_LOOKUP

    public static final String CACHE_TRANSACTION_MANAGER_LOOKUP

  The default value of the `RepositoryConfiguration.FieldName.CACHE_TRANSACTION_MANAGER_LOOKUP` field is "org.infinispan.transaction.lookup.GenericTransactionManagerLookup".

### JAAS_POLICY_NAME

    public static final String JAAS_POLICY_NAME

  The default value of the `RepositoryConfiguration.FieldName.JAAS_POLICY_NAME` field is '"modeshape-jcr" '.

  See Also:
    Constant Field Values

### ANONYMOUS_ROLES

    public static final Set<String> ANONYMOUS_ROLES

  The default value of the `RepositoryConfiguration.FieldName.ANONYMOUS_ROLES` field is a list with 'admin' as the role.

### USE_ANONYMOUS_ON_FAILED_LOGINS

    public static final boolean USE_ANONYMOUS_ON_FAILED_LOGINS

  The default value of the `RepositoryConfiguration.FieldName.USE_ANONYMOUS_ON_FAILED_LOGINS` field is 'false '.

  See Also:
    Constant Field Values

### ANONYMOUS_USERNAME

    public static final String ANONYMOUS_USERNAME

See Also:
  Constant Field Values

### QUERY_ENABLED

    public static final boolean QUERY_ENABLED

See Also:
  Constant Field Values

### MONITORING_ENABLED

    public static final boolean MONITORING_ENABLED

See Also:
  Constant Field Values

### REMOVE_DERIVED_CONTENT_WITH_ORIGINAL

    public static final boolean REMOVE_DERIVED_CONTENT_WITH_ORIGINAL

See Also:
  Constant Field Values

### THREAD_POOL

    public static final String THREAD_POOL

  The default value of the `RepositoryConfiguration.FieldName.THREAD_POOL` field is '"modeshape-workers" '.

  See Also:
    Constant Field Values

### INDEXING_ANALYZER

    public static final String INDEXING_ANALYZER

### INDEXING_SIMILARITY

    public static final String INDEXING_SIMILARITY

### INDEXING_BATCH_SIZE

    public static final String INDEXING_BATCH_SIZE

See Also:
  Constant Field Values

### INDEXING_INDEX_FORMAT

    public static final String INDEXING_INDEX_FORMAT

### INDEXING_READER_STRATEGY

    public static final RepositoryConfiguration.IndexReaderStrategy INDEXING_READER_STRATEGY

### INDEXING_MODE

    public static final RepositoryConfiguration.IndexingMode INDEXING_MODE

### INDEXING_ASYNC_THREAD_POOL_SIZE

    public static final String INDEXING_ASYNC_THREAD_POOL_SIZE

See Also:
  Constant Field Values

### INDEXING_ASYNC_MAX_QUEUE_SIZE

    public static final String INDEXING_ASYNC_MAX_QUEUE_SIZE

See Also:
  Constant Field Values

### INDEX_STORAGE_LOCKING_STRATEGY

    public static final RepositoryConfiguration.FileSystemLockingStrategy INDEX_STORAGE_LOCKING_STRATEGY

### INDEX_STORAGE_FILE_SYSTEM_ACCESS_TYPE

    public static final RepositoryConfiguration.FileSystemAccessType INDEX_STORAGE_FILE_SYSTEM_ACCESS_TYPE

### INDEX_STORAGE_REFRESH_IN_SECONDS

    public static final String INDEX_STORAGE_REFRESH_IN_SECONDS

See Also:
  Constant Field Values

### INDEX_STORAGE_COPY_BUFFER_SIZE_IN_MEGABYTES

    public static final String INDEX_STORAGE_COPY_BUFFER_SIZE_IN_MEGABYTES

See Also:
  Constant Field Values

### INDEX_STORAGE_RETRY_MARKER_LOOKUP

    public static final String INDEX_STORAGE_RETRY_MARKER_LOOKUP

See Also:
  Constant Field Values

### INDEX_STORAGE_RETRY_INITIALIZE_PERIOD_IN_SECONDS

    public static final String INDEX_STORAGE_RETRY_INITIALIZE_PERIOD_IN_SECONDS

See Also:
  Constant Field Values

### INDEX_STORAGE_INFINISPAN_CHUNK_SIZE_IN_BYTES

    public static final String INDEX_STORAGE_INFINISPAN_CHUNK_SIZE_IN_BYTES

See Also:
  Constant Field Values

### INDEXING_BACKEND_TYPE

    public static final String INDEXING_BACKEND_TYPE

See Also:
  Constant Field Values

### CLUSTER_NAME

    public static final String CLUSTER_NAME

See Also:
  Constant Field Values

### CHANNEL_PROVIDER

    public static final String CHANNEL_PROVIDER

Constructor Detail

### RepositoryConfiguration.Default

    public RepositoryConfiguration.Default()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.